org.rrd4j.graph

## Interface RrdGraphConstants

- All Known Implementing Classes:
    Axis, CommentText, LegendComposer, LegendText, PrintText, RrdGraph, RrdGraphDef, TimeAxis, ValueAxis, ValueAxisLogarithmic, ValueAxisMrtg

      public interface RrdGraphConstants

  Class to represent various constants used for graphing. No methods are specified.

  The fonts settings can be changed use some on the following properties, sorted by increased priority.

  1. `org.rrd4j.fonts.properties`
  2. `org.rrd4j.fonts.properties.url`
  3. `org.rrd4j.font.plain`
  4. `org.rrd4j.font.bold`
  5. `org.rrd4j.font.plain.url`
  6. `org.rrd4j.font.bold.url`
  If either `org.rrd4j.fonts.properties` or `org.rrd4j.fonts.properties.url` is used, the file provided contains any other property of lower priority . The last four properties defines directly the plain or bold font. All properties URL related (`org.rrd4j.fonts.url`, `org.rrd4j.font.plain.url` and `org.rrd4j.font.bold.url`) download data from an URL. They are useful when those data are provided by the file system, defined by the OS. The others search for the data in the classpath. So it's easy to provided font-pack as a jar that's put before RRD44J's jar.

  The default settings uses `org.rrd4j.fonts.properties` looking for the file `/rrd4jfonts.properties` in the classpath.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RrdGraphConstants.FontConstructor` Font constructor, to use embedded fonts.
    `static class` | `RrdGraphConstants.FontTag` Allowed font tag names which can be used in `RrdGraphDef.setFont(org.rrd4j.graph.RrdGraphConstants.FontTag, java.awt.Font)` method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALIGN_CENTER_MARKER` Deprecated.
    `static String` | `ALIGN_JUSTIFIED_MARKER` Deprecated.
    `static String` | `ALIGN_LEFT_MARKER` Deprecated.
    `static String` | `ALIGN_LEFTNONL_MARKER` Deprecated.
    `static String` | `ALIGN_RIGHT_MARKER` Deprecated.
    `static Color` | `BLIND_COLOR` An transparent color
    `static int` | `COLOR_ARROW` Index of the arrow color.
    `static int` | `COLOR_BACK` Index of the background color.
    `static int` | `COLOR_CANVAS` Index of the canvas color.
    `static int` | `COLOR_FONT` Index of the font color.
    `static int` | `COLOR_FRAME` Index of the frame color.
    `static int` | `COLOR_GRID` Index of the minor grid color.
    `static int` | `COLOR_MGRID` Index of the major grid color.
    `static int` | `COLOR_SHADEA` Index of the top-left graph shade color.
    `static int` | `COLOR_SHADEB` Index of the bottom-right graph shade color.
    `static int` | `COLOR_XAXIS` Index of the x-axis color.
    `static int` | `COLOR_YAXIS` Index of the yaxis color.
    `static int` | `DAY` Constant to represent day
    `static Color` | `DEFAULT_ARROW_COLOR` Default arrow color
    `static Color` | `DEFAULT_BACK_COLOR` Default graph background color
    `static double` | `DEFAULT_BASE` Default value base
    `static Color` | `DEFAULT_CANVAS_COLOR` Default graph canvas color
    `static String` | `DEFAULT_END` Default graph ending time
    `static Color` | `DEFAULT_FONT_COLOR` Default font color
    `static Color` | `DEFAULT_FRAME_COLOR` Default frame color
    `static Color` | `DEFAULT_GRID_COLOR` Default minor grid color
    `static int` | `DEFAULT_HEIGHT` Default graph height
    `static String` | `DEFAULT_IMAGE_FORMAT` Default image format
    `static float` | `DEFAULT_IMAGE_QUALITY` Default image quality, used only for jpeg graphs
    `static Font` | `DEFAULT_LARGE_FONT` Default graph large font
    `static Color` | `DEFAULT_MGRID_COLOR` Default major grid color
    `static Color` | `DEFAULT_SHADEA_COLOR` Default top-left graph shade color
    `static Color` | `DEFAULT_SHADEB_COLOR` Default bottom-right graph shade color
    `static Font` | `DEFAULT_SMALL_FONT` Default graph small font
    `static String` | `DEFAULT_START` Default graph starting time
    `static int` | `DEFAULT_UNITS_LENGTH` Default units length
    `static int` | `DEFAULT_WIDTH` Default graph width
    `static Color` | `DEFAULT_XAXIS_COLOR` Default x-axis color
    `static Color` | `DEFAULT_YAXIS_COLOR` Default x-axis color
    `static int` | `FIRST_DAY_OF_WEEK` Default first day of the week (obtained from the default locale)
    `static RrdGraphConstants.FontTag` | `FONTTAG_AXIS`
    `static RrdGraphConstants.FontTag` | `FONTTAG_DEFAULT`
    `static RrdGraphConstants.FontTag` | `FONTTAG_LEGEND`
    `static RrdGraphConstants.FontTag` | `FONTTAG_TITLE`
    `static RrdGraphConstants.FontTag` | `FONTTAG_UNIT`
    `static RrdGraphConstants.FontTag` | `FONTTAG_WATERMARK`
    `static int` | `FRIDAY` Constant to represent Friday
    `static Font` | `GATOR_FONT` Font for the Gator
    `static String` | `GLUE_MARKER` Deprecated.
    `static Stroke` | `GRID_STROKE` Stroke used to draw grid
    `static String` | `HH_MM` HH:mm time format
    `static int` | `HOUR` Constant to represent hour
    `static String` | `IN_MEMORY_IMAGE` Constant to represent in-memory image name
    `static double` | `LEGEND_BOX` Used internally
    `static double` | `LEGEND_BOX_SPACE` Used internally
    `static int` | `LEGEND_INTERSPACING` Used internally
    `static double` | `LEGEND_LEADING` Used internally
    `static double` | `LEGEND_LEADING_SMALL` Used internally
    `static int` | `MINUTE` Constant to represent minute
    `static int` | `MONDAY` Constant to represent Monday
    `static int` | `MONTH` Constant to represent month
    `static String` | `NO_JUSTIFICATION_MARKER` Deprecated.
    `static int` | `PADDING_BOTTOM` Used internally
    `static int` | `PADDING_LEFT` Used internally
    `static double` | `PADDING_LEGEND` Used internally
    `static int` | `PADDING_PLOT` Used internally
    `static int` | `PADDING_RIGHT` Used internally
    `static int` | `PADDING_TITLE` Used internally
    `static int` | `PADDING_TOP` Used internally
    `static int` | `PADDING_VLABEL` Used internally
    `static String` | `PROPERTYFONTBOLD` The name of the bold font, used to define the `DEFAULT_LARGE_FONT`.
    `static String` | `PROPERTYFONTBOLDURL` A URL to the bold font, used to define the `DEFAULT_LARGE_FONT`.
    `static String` | `PROPERTYFONTPLAIN` The name of the plain font, used to define the `DEFAULT_SMALL_FONT` and the `GATOR_FONT`.
    `static String` | `PROPERTYFONTPLAINURL` A URL to the plain font, used to define the `DEFAULT_SMALL_FONT` and the `GATOR_FONT`.
    `static String` | `PROPERTYFONTSPROPERTIES` The file that contains font configuration searched in the class path.
    `static String` | `PROPERTYFONTSURL` A possible URL to a configuration file.
    `static int` | `SATURDAY` Constant to represent Saturday
    `static int` | `SECOND` Constant to represent second
    `static int` | `SUNDAY` Constant to represent Sunday
    `static int` | `THURSDAY` Constant to represent Thursday
    `static Stroke` | `TICK_STROKE` Stroke used to draw ticks
    `static int` | `TUESDAY` Constant to represent Tuesday
    `static String` | `VERTICAL_SPACING_MARKER` Deprecated.
    `static int` | `WEDNESDAY` Constant to represent Wednesday
    `static int` | `WEEK` Constant to represent week
    `static int` | `YEAR` Constant to represent year

- - ### Field Detail

    - #### ALIGN_CENTER_MARKER

          @Deprecated
          static final String ALIGN_CENTER_MARKER

      Deprecated.
      Constant to represent centered alignment marker

    - #### ALIGN_JUSTIFIED_MARKER

          @Deprecated
          static final String ALIGN_JUSTIFIED_MARKER

      Deprecated.
      Constant to represent justified alignment marker

    - #### ALIGN_LEFT_MARKER

          @Deprecated
          static final String ALIGN_LEFT_MARKER

      Deprecated.
      Constant to represent left alignment marker

    - #### ALIGN_LEFTNONL_MARKER

          @Deprecated
          static final String ALIGN_LEFTNONL_MARKER

      Deprecated.
      Constant to represent left alignment marker, without new line

    - #### ALIGN_RIGHT_MARKER

          @Deprecated
          static final String ALIGN_RIGHT_MARKER

      Deprecated.
      Constant to represent right alignment marker

    - #### BLIND_COLOR

          static final Color BLIND_COLOR

      An transparent color

    - #### COLOR_ARROW

          static final int COLOR_ARROW

      Index of the arrow color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_BACK

          static final int COLOR_BACK

      Index of the background color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_CANVAS

          static final int COLOR_CANVAS

      Index of the canvas color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_FONT

          static final int COLOR_FONT

      Index of the font color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_FRAME

          static final int COLOR_FRAME

      Index of the frame color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_GRID

          static final int COLOR_GRID

      Index of the minor grid color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_MGRID

          static final int COLOR_MGRID

      Index of the major grid color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_SHADEA

          static final int COLOR_SHADEA

      Index of the top-left graph shade color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_SHADEB

          static final int COLOR_SHADEB

      Index of the bottom-right graph shade color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_XAXIS

          static final int COLOR_XAXIS

      Index of the x-axis color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### COLOR_YAXIS

          static final int COLOR_YAXIS

      Index of the yaxis color. Used in `RrdGraphDef.setColor(int, java.awt.Paint)`
      See Also:
        Constant Field Values

    - #### DAY

          static final int DAY

      Constant to represent day
      See Also:
        Constant Field Values

    - #### DEFAULT_ARROW_COLOR

          static final Color DEFAULT_ARROW_COLOR

      Default arrow color

    - #### DEFAULT_BACK_COLOR

          static final Color DEFAULT_BACK_COLOR

      Default graph background color

    - #### DEFAULT_BASE

          static final double DEFAULT_BASE

      Default value base
      See Also:
        Constant Field Values

    - #### DEFAULT_CANVAS_COLOR

          static final Color DEFAULT_CANVAS_COLOR

      Default graph canvas color

    - #### DEFAULT_END

          static final String DEFAULT_END

      Default graph ending time
      See Also:
        Constant Field Values

    - #### DEFAULT_FONT_COLOR

          static final Color DEFAULT_FONT_COLOR

      Default font color

    - #### DEFAULT_FRAME_COLOR

          static final Color DEFAULT_FRAME_COLOR

      Default frame color

    - #### DEFAULT_GRID_COLOR

          static final Color DEFAULT_GRID_COLOR

      Default minor grid color

    - #### DEFAULT_HEIGHT

          static final int DEFAULT_HEIGHT

      Default graph height
      See Also:
        Constant Field Values

    - #### DEFAULT_IMAGE_FORMAT

          static final String DEFAULT_IMAGE_FORMAT

      Default image format
      See Also:
        Constant Field Values

    - #### DEFAULT_IMAGE_QUALITY

          static final float DEFAULT_IMAGE_QUALITY

      Default image quality, used only for jpeg graphs
      See Also:
        Constant Field Values

    - #### DEFAULT_LARGE_FONT

          static final Font DEFAULT_LARGE_FONT

      Default graph large font

    - #### DEFAULT_MGRID_COLOR

          static final Color DEFAULT_MGRID_COLOR

      Default major grid color

    - #### DEFAULT_SHADEA_COLOR

          static final Color DEFAULT_SHADEA_COLOR

      Default top-left graph shade color

    - #### DEFAULT_SHADEB_COLOR

          static final Color DEFAULT_SHADEB_COLOR

      Default bottom-right graph shade color

    - #### DEFAULT_SMALL_FONT

          static final Font DEFAULT_SMALL_FONT

      Default graph small font

    - #### DEFAULT_START

          static final String DEFAULT_START

      Default graph starting time
      See Also:
        Constant Field Values

    - #### DEFAULT_UNITS_LENGTH

          static final int DEFAULT_UNITS_LENGTH

      Default units length
      See Also:
        Constant Field Values

    - #### DEFAULT_WIDTH

          static final int DEFAULT_WIDTH

      Default graph width
      See Also:
        Constant Field Values

    - #### DEFAULT_XAXIS_COLOR

          static final Color DEFAULT_XAXIS_COLOR

      Default x-axis color

    - #### DEFAULT_YAXIS_COLOR

          static final Color DEFAULT_YAXIS_COLOR

      Default x-axis color

    - #### FIRST_DAY_OF_WEEK

          static final int FIRST_DAY_OF_WEEK

      Default first day of the week (obtained from the default locale)

    - #### FONTTAG_AXIS

          static final RrdGraphConstants.FontTag FONTTAG_AXIS

    - #### FONTTAG_DEFAULT

          static final RrdGraphConstants.FontTag FONTTAG_DEFAULT

    - #### FONTTAG_LEGEND

          static final RrdGraphConstants.FontTag FONTTAG_LEGEND

    - #### FONTTAG_TITLE

          static final RrdGraphConstants.FontTag FONTTAG_TITLE

    - #### FONTTAG_UNIT

          static final RrdGraphConstants.FontTag FONTTAG_UNIT

    - #### FONTTAG_WATERMARK

          static final RrdGraphConstants.FontTag FONTTAG_WATERMARK

    - #### FRIDAY

          static final int FRIDAY

      Constant to represent Friday
      See Also:
        Constant Field Values

    - #### GATOR_FONT

          static final Font GATOR_FONT

      Font for the Gator

    - #### GLUE_MARKER

          @Deprecated
          static final String GLUE_MARKER

      Deprecated.
      Constant to represent "glue" marker

    - #### GRID_STROKE

          static final Stroke GRID_STROKE

      Stroke used to draw grid

    - #### HH_MM

          static final String HH_MM

      HH:mm time format
      See Also:
        Constant Field Values

    - #### HOUR

          static final int HOUR

      Constant to represent hour
      See Also:
        Constant Field Values

    - #### IN_MEMORY_IMAGE

          static final String IN_MEMORY_IMAGE

      Constant to represent in-memory image name
      See Also:
        Constant Field Values

    - #### LEGEND_BOX

          static final double LEGEND_BOX

      Used internally
      See Also:
        Constant Field Values

    - #### LEGEND_BOX_SPACE

          static final double LEGEND_BOX_SPACE

      Used internally
      See Also:
        Constant Field Values

    - #### LEGEND_INTERSPACING

          static final int LEGEND_INTERSPACING

      Used internally
      See Also:
        Constant Field Values

    - #### LEGEND_LEADING

          static final double LEGEND_LEADING

      Used internally
      See Also:
        Constant Field Values

    - #### LEGEND_LEADING_SMALL

          static final double LEGEND_LEADING_SMALL

      Used internally
      See Also:
        Constant Field Values

    - #### MINUTE

          static final int MINUTE

      Constant to represent minute
      See Also:
        Constant Field Values

    - #### MONDAY

          static final int MONDAY

      Constant to represent Monday
      See Also:
        Constant Field Values

    - #### MONTH

          static final int MONTH

      Constant to represent month
      See Also:
        Constant Field Values

    - #### NO_JUSTIFICATION_MARKER

          @Deprecated
          static final String NO_JUSTIFICATION_MARKER

      Deprecated.
      Constant to represent no justification markers

    - #### PADDING_BOTTOM

          static final int PADDING_BOTTOM

      Used internally
      See Also:
        Constant Field Values

    - #### PADDING_LEFT

          static final int PADDING_LEFT

      Used internally
      See Also:
        Constant Field Values

    - #### PADDING_LEGEND

          static final double PADDING_LEGEND

      Used internally
      See Also:
        Constant Field Values

    - #### PADDING_PLOT

          static final int PADDING_PLOT

      Used internally
      See Also:
        Constant Field Values

    - #### PADDING_RIGHT

          static final int PADDING_RIGHT

      Used internally
      See Also:
        Constant Field Values

    - #### PADDING_TITLE

          static final int PADDING_TITLE

      Used internally
      See Also:
        Constant Field Values

    - #### PADDING_TOP

          static final int PADDING_TOP

      Used internally
      See Also:
        Constant Field Values

    - #### PADDING_VLABEL

          static final int PADDING_VLABEL

      Used internally
      See Also:
        Constant Field Values

    - #### PROPERTYFONTBOLD

          static final String PROPERTYFONTBOLD

      The name of the bold font, used to define the `DEFAULT_LARGE_FONT`. To be found in the classpath.
      See Also:
        Constant Field Values

    - #### PROPERTYFONTBOLDURL

          static final String PROPERTYFONTBOLDURL

      A URL to the bold font, used to define the `DEFAULT_LARGE_FONT`.
      See Also:
        Constant Field Values

    - #### PROPERTYFONTPLAIN

          static final String PROPERTYFONTPLAIN

      The name of the plain font, used to define the `DEFAULT_SMALL_FONT` and the `GATOR_FONT`. To be found in the classpath.
      See Also:
        Constant Field Values

    - #### PROPERTYFONTPLAINURL

          static final String PROPERTYFONTPLAINURL

      A URL to the plain font, used to define the `DEFAULT_SMALL_FONT` and the `GATOR_FONT`.
      See Also:
        Constant Field Values

    - #### PROPERTYFONTSPROPERTIES

          static final String PROPERTYFONTSPROPERTIES

      The file that contains font configuration searched in the class path. The default value is `/rrd4jfonts.properties`
      See Also:
        Constant Field Values

    - #### PROPERTYFONTSURL

          static final String PROPERTYFONTSURL

      A possible URL to a configuration file.
      See Also:
        Constant Field Values

    - #### SATURDAY

          static final int SATURDAY

      Constant to represent Saturday
      See Also:
        Constant Field Values

    - #### SECOND

          static final int SECOND

      Constant to represent second
      See Also:
        Constant Field Values

    - #### SUNDAY

          static final int SUNDAY

      Constant to represent Sunday
      See Also:
        Constant Field Values

    - #### THURSDAY

          static final int THURSDAY

      Constant to represent Thursday
      See Also:
        Constant Field Values

    - #### TICK_STROKE

          static final Stroke TICK_STROKE

      Stroke used to draw ticks

    - #### TUESDAY

          static final int TUESDAY

      Constant to represent Tuesday
      See Also:
        Constant Field Values

    - #### VERTICAL_SPACING_MARKER

          @Deprecated
          static final String VERTICAL_SPACING_MARKER

      Deprecated.
      Constant to represent vertical spacing marker

    - #### WEDNESDAY

          static final int WEDNESDAY

      Constant to represent Wednesday
      See Also:
        Constant Field Values

    - #### WEEK

          static final int WEEK

      Constant to represent week
      See Also:
        Constant Field Values

    - #### YEAR

          static final int YEAR

      Constant to represent year
      See Also:
        Constant Field Values